## konwert 1.8

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #								#
 #################################################################
 
-version = 1.7
+version = 1.8
 
 SHELL = /bin/sh
 CXXFLAGS = -Wall -O2 -fomit-frame-pointer -pipe
@@ -147,7 +147,8 @@
 			$(anyfiles) \
 		) \
 	) \
-	$(installlibauxdir)/512bold
+	$(installlibauxdir)/512bold \
+	$(installlibauxdir)/512bold1
 
 # Wszystkie tworzone pliki:
 
@@ -162,6 +163,7 @@
 	$(utf8_charsetfiles) \
 	$(charset_charsetfiles) \
 	$(srcbindir)/512bold \
+	$(srcbindir)/512bold1 \
 	$(anyfiles) \
 	$(installfiles)
 
@@ -190,6 +192,10 @@
 	else ln $< $@; fi
 
 $(installlibauxdir)/512bold: $(srcbindir)/512bold
+	$(INSTALL) -d $(dir $@)
+	$(INSTALL) -m755 -s $< $@
+
+$(installlibauxdir)/512bold1: $(srcbindir)/512bold1
 	$(INSTALL) -d $(dir $@)
 	$(INSTALL) -m755 -s $< $@
 
@@ -256,6 +262,22 @@
 		echo " MIME=`$(srcdeveldir)/mime $(patsubst $(srcfiltersdir)/UTF8-%,%,$@)`" \
 			"\"\$${0%/*}/../aux/UTF8-charset\"" \
 		-rf "\"\$${0%/*}/../aux/charsets/$(patsubst $(srcfiltersdir)/UTF8-%,%,$@)\""; \
+	} >$@
+	chmod +x $@
+
+###############################################################################
+
+$(srcfiltersdir)/UTF8-ascii: \
+$(srcdeveldir)/UTF8-charset $(srcdeveldir)/UTF8-ascii \
+$(srcdeveldir)/mkUTF8-charset
+
+	{ \
+		echo '#!/bin/bash -'; \
+		echo; \
+		$(perl) $(srcdeveldir)/mkUTF8-charset ascii \
+			$(srcdeveldir)/UTF8-charset; \
+		echo " MIME=us-ascii"; \
+		cat $(srcdeveldir)/UTF8-ascii; \
 	} >$@
 	chmod +x $@
 
@@ -323,7 +345,7 @@
 	cp -dRf $(installdeveldir)/* $(develdir)
 	cp -dRf $(installdocdir)/* $(mydocdir)
 	cp -dRf $(installmandir)/* $(mandir)
-	if [ -z "$(nofixmanconfig)" ]; then $(srcdeveldir)/fixmanconfig; fi
+	if [ -z "$(nofixmanconfig)" ]; then $(srcauxdir)/fixmanconfig; fi
 
 ###############################################################################
