=== debian/changelog ===
konwert (1.8-15) unstable; urgency=medium

  * Team upload of Debian team.
  [ Damyan Ivanov ]
  * Fix path to installed filters after migrating to dh.
    Closes: #1088738, #1090193, #1090224.

 -- Santiago Vila <sanvila@debian.org>  Fri, 27 Dec 2024 18:15:00 +0100

konwert (1.8-14) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload of Debian team.
  * Point Homepage to webarchive
  * Vcs fields pointing to Salsa
  * Fake watch file
  * Drop dh-buildinfo from Build-Depends (see #1068809)
  * delete unneeded d/*.dirs
  * d/rules: convert to short dh
  * Fix interpreter in scripts
  * d/copyright: DEP5
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Change priority extra to priority optional.
  * Remove field Priority on binary package konwert-dev that duplicates source.
  * Remove unused lintian-overrides
  * lintian-overrides konvert-filters: national-encoding
  * lintian-overrides konwert: acute-accent-in-manual-page
  * Propagate hardening options

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #844070)
    + Pass triplet-prefixed CXX to make
    + Do not strip before dh_strip


 -- Andreas Tille <tille@debian.org>  Wed, 27 Nov 2024 16:32:13 +0100

konwert (1.8-13.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump debhelper compatibility level from 5 to 7
    Closes: 965613 - removal of compatibility levels 5 and 6

 -- Damyan Ivanov <dmn@debian.org>  Tue, 11 Jan 2022 20:13:21 +0000

konwert (1.8-13.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 27 Dec 2020 16:28:47 +0100

konwert (1.8-13) unstable; urgency=medium

  * Fix typo in Vcs-Browser URL.
  * Fix Makefile not to override all build flags fro filterm when we
    just want to add something to LDLIBS.

 -- Yann Dirson <dirson@debian.org>  Mon, 15 Aug 2016 11:12:26 +0200

konwert (1.8-12) unstable; urgency=medium

  * Acknowledge NMUs.
  * Raw conversion to source format 3.0 (quilt).
  * Add missing build-{arch,indep} targets (Closes: #822000, patch
    by Santiago Vila).
  * Make output of fixtrsutf8 reproducible (Closes: #778945, patch
    by Chris Lamb).
  * Fix typos in english manpages (Closes: #643684, patch by A.Costa).
  * Fix build with clang 3.1 (Closes: #686624, #748725, patch by Cyril
    Roelandt).
  * Drop long-useless README.Debian (Closes: #364553, thanks Ilya
    Martynov).
  * Use dh_bash-completion to move file to /usr/share/ (lintian).
  * Stop ignoring "make clean" error (lintian).
  * Replace dh_clean -k with dh_prep (lintian).
  * Use dpkg-buildflags.

 -- Yann Dirson <dirson@debian.org>  Sat, 13 Aug 2016 15:29:03 +0200

konwert (1.8-11.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use File::Temp in place of pid-based temporary filenames to prevent
    against symlink-based attacks. (Closes: #496379)

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 06 Sep 2008 17:15:01 +0100

konwert (1.8-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #413416).

 -- Luk Claes <luk@debian.org>  Fri, 07 Mar 2008 18:54:25 +0000

konwert (1.8-11) unstable; urgency=low

  * Switch from debhelper v1 mode to v5:
    * bash-completion script now maked as conffile (Closes: #358376).
    * use ${misc:Depends} for every binary package.
  * Fixed problem in a polish manpage (Closes: #296246).
  * Fixed capitalization in README.Debian (lintian).
  * Bumped Standards-Version to 3.6.2, no change.

 -- Yann Dirson <dirson@debian.org>  Tue, 11 Apr 2006 01:22:10 +0200

konwert (1.8-10) unstable; urgency=low

  * Build with g++-4.0.

 -- Yann Dirson <dirson@debian.org>  Tue,  5 Jul 2005 23:25:19 +0200

konwert (1.8-9) unstable; urgency=low

  * Fixed rtf-8bit to recognize the good escape sequences (Closes: #182439).
  * Include bash-completion script for konwert(1) from Vitalij K. Lysoff.
  * Fixed dh_buildinfo call to occur in binary-arch; ship a docdir in
    konwert package instead of a symlink to allow this; create symlinks to
    en and pl docdirs to leave docs easily found.
  * Reworked debian/rules a bit: added an install target to help
    accomodating for this change.
  * Updated my email in README.Debian and copyright; updated upstream URL
    in copyright.

 -- Yann Dirson <dirson@debian.org>  Thu, 29 Apr 2004 00:30:26 +0200

konwert (1.8-8) unstable; urgency=low

  * Applied longstanding patch from Radovan Garabik to use UNIX98 ptys
    (Closes: #108583, #195451).  Link filterm with libutil.
  * Avoid redifinition of PATH_MAX in filterm.cc.
  * Use dh-buildinfo.

 -- Yann Dirson <dirson@debian.org>  Fri,  9 Jan 2004 16:31:57 +0100

konwert (1.8-7) unstable; urgency=low

  * Added support for mik from Kaloian Doganov (Closes: #196510).
  * Added filters/UTF8-prn7pl and associated documentation from Grzegorz
    B. Prokopski (Closes: #195908).
  * Bumped Standards-Version from 3.0.1 to 3.5.10 (no change).

 -- Yann Dirson <dirson@debian.org>  Sun,  8 Jun 2003 16:32:09 +0200

konwert (1.8-6) unstable; urgency=low

  * Converted bin/trc.cc to use <sstream> since g++ 3.3 dropped
    <strstream.h> (Closes: #194942).
  * Fixed konwert-filters short desc (lintian).

 -- Yann Dirson <dirson@debian.org>  Thu, 29 May 2003 23:23:48 +0200

konwert (1.8-5) unstable; urgency=low

  * Rebuild for g++-3.2.
  * Removed manually-inserted /usr/doc/-symlinks logic from maintainer
    scripts.

 -- Yann Dirson <dirson@debian.org>  Mon, 13 Jan 2003 16:03:50 +0100

konwert (1.8-4) unstable; urgency=low

  * Fix typos in package descriptions (Closes: #124848, #146488).  Ran
    ispell and found a couple more.
  * Added a lintian override for hardlinks usage.  Nothing forbids
    hardlinks here, and they don't break anything.


