=== debian/control ===
Source: konwert
Section: text
Priority: optional
Maintainer: Yann Dirson <dirson@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/konwert.git
Vcs-Browser: https://salsa.debian.org/debian/konwert
Homepage: https://web.archive.org/web/20041207025451/http://qrczak.ids.net.pl/programy/linux/konwert/
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), bash-completion

Package: konwert
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, konwert-filters
Suggests: konwert-dev
Description: Charset conversion for files or terminal I/O
 `konwert' is yet another charset converter.  Some particular features are:
  * one-to-many conversions
  * context-dependent conversions
  * approximations of some unavailable characters
  * (as a result) ability to transcript e.g. Russian Cyrillic into Polish
 phonetic equivalent
 .
 `filterm' applies filter conversion to a terminal's I/O, to get on-the-fly
 charset conversion, and customized input methods.

Package: konwert-filters
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libfile-temp-perl
Recommends: konwert
Description: Filters used by konwert for charset conversion
 These files are needed by konwert.
 .
 They are also probably useless without konwert itself.

Package: konwert-dev
Architecture: all
Depends: konwert, ${misc:Depends}
Suggests: g++
Description: Tools to define new charset conversion for konwert
 This package contains sources for some filters, and the scripts used to
 build those filters from them.
 .
 The `512bold' filter is a C++ program.
