=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk

export LC_ALL=C
ifeq ($(origin CXX),default)
CXX := $(DEB_HOST_GNU_TYPE)-g++
endif

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with bash-completion

override_dh_auto_clean:
	dh_auto_clean || true

override_dh_auto_build:
	chmod +x filters/UTF8-prn7pl
	mkdir -p aux/any # make sure dir exists in Salsa CI
	dh_auto_build -- CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" CXX="$(CXX)" INSTALL="install --strip-program=true" prefix=/usr

override_dh_auto_install:
	dh_auto_install -- nofixmanconfig=1 prefix=$(CURDIR)/debian/tmp/usr INSTALL="install --strip-program=true"

override_dh_install-indep:
	dh_install -i
	rm -rf debian/konwert-filters/usr/share/konwert/filters/512bold*

override_dh_install-arch:
	dh_install -a
	for trs in `grep -Rl '#!/usr/local/bin/trs' debian/*/usr/*` ; do \
	    echo "Fix interpreter in $${trs}" ; \
            sed -i '1s?^#!/usr/local/bin/trs?#!/usr/bin/trs?' $${trs} ; \
        done
	find debian/konwert -type d -name devel -empty | xargs rmdir

override_dh_installdocs:
	dh_installdocs
	rm -f debian/*/usr/share/doc/konwert-filters/*/CHANGES*
	rm -f debian/*/usr/share/doc/konwert-filters/*/COPYING*
	rm -f debian/*/usr/share/doc/konwert-filters/*/ZMIANY*

override_dh_installchangelogs:
	dh_installchangelogs -pkonwert-filters doc/en/CHANGES
	dh_installchangelogs
